SetLiftaxleEvent = {};
SetLiftaxleEvent_mt = Class(SetLiftaxleEvent, Event);

InitEventClass(SetLiftaxleEvent, "SetLiftaxleEvent");

function SetLiftaxleEvent:emptyNew()
    local self = Event:new(SetLiftaxleEvent_mt);
    self.className="SetLiftaxleEvent";
    return self;
end;

function SetLiftaxleEvent:new(object, active)
    local self = SetLiftaxleEvent:emptyNew()
    self.object = object;
	self.active = active;
    return self;
end;

function SetLiftaxleEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.active = streamReadBool(streamId);
    self.object = networkGetObject(id);
    self:run(connection);
end;

function SetLiftaxleEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteBool(streamId, self.active);
end;

function SetLiftaxleEvent:run(connection)
    self.object:setLiftaxle(self.active, true);
    if not connection:getIsServer() then
        g_server:broadcastEvent(SetLiftaxleEvent:new(self.object, self.active), nil, connection, self.object);
    end;
end;

function SetLiftaxleEvent.sendEvent(vehicle, active, noEventSend)
    if active ~= vehicle.liftaxle.setDown then
        if noEventSend == nil or noEventSend == false then
            if g_server ~= nil then
                g_server:broadcastEvent(SetLiftaxleEvent:new(vehicle, active), nil, nil, vehicle);
            else
				g_client:getServerConnection():sendEvent(SetLiftaxleEvent:new(vehicle, active));
            end;
        end;
    end;
end;

